Skip to main content
POST
/
v1
/
employer-identifiers
/
{employer_identifier}
/
update-groups
cURL
curl --request POST \
  --url https://api.payrollintegrationsapp.com/v1/employer-identifiers/{employer_identifier}/update-groups \
  --header 'Content-Type: application/json' \
  --data '
{
  "updates": [
    {
      "employeeProfileId": "22222222-2222-2222-2222-222222222222",
      "subcategory": "ROTH",
      "calculationValue": "10",
      "calculationType": "PERCENT",
      "startDate": "2026-01-31"
    },
    {
      "employeeProfileId": "33333333-3333-3333-3333-333333333333",
      "subcategory": "401K_PRETAX",
      "calculationValue": "150.00",
      "calculationType": "FLAT_DOLLAR",
      "startDate": "2026-01-31"
    },
    {
      "employeeProfileId": "44444444-4444-4444-4444-444444444444",
      "subcategory": "401K_LOAN",
      "calculationValue": "100.00",
      "calculationType": "FLAT_DOLLAR",
      "startDate": "2026-01-31",
      "loanIdentifier": "MyLoanDeduction"
    }
  ]
}
'
{
  "updateGroupId": "55555555-5555-5555-5555-555555555555"
}

Documentation Index

Fetch the complete documentation index at: https://developer.payrollintegrations.com/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

employer_identifier
string<uuid>
required

ID of the employer identifier

Body

application/json

List of employee updates to process

updates
object[]
required

List of employee deduction updates to perform

Response

Returns the UUID of the update group as confirmation of its submission

updateGroupId
string<uuid>
required

UUID of the created update group